clear all; close all

folder_name = uigetdir([],'Load Folder...');
    
data = load(strcat(folder_name,'/data.mat'));
SEG = load(strcat(folder_name,'/SEG.mat'));

data = data.data;
SEG = SEG.SEG;


VENC = data.VENC;
VoxelSize  = data.voxel_MR;

vel_AP = data.MR_PCA_AP;
vel_RL = data.MR_PCA_RL;
vel_FH = data.MR_PCA_FH;

SEG2  = permute(SEG,[2,3,1]);
SEG2 = SEG2(:,:,:);


vel_AP_seg = vel_AP.*SEG2(2:end-1,2:end-1,2:end-1);
vel_RL_seg = vel_RL.*SEG2(2:end-1,2:end-1,2:end-1);
vel_FH_seg = vel_FH.*SEG2(2:end-1,2:end-1,2:end-1);




u_R1 = [] ;
u_R1.x = vel_FH_seg;
u_R1.y = vel_AP_seg;
u_R1.z = vel_RL_seg;
u_R1.VoxelSize = VoxelSize;
save('/home/yeye/Desktop/u_R1.mat','u_R1');
disp('data saved')
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%         FIGURES 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure
size_vel = size(vel_FH);
for n=1:size_vel(3)
    imshow(squeeze(vel_FH_seg(:,:,n,8)),[-100,100],'InitialMagnification',300);
    colormap(gca);
   pause(0.1)
end
%%
size_seg2 = size(SEG2);
for n=1:size_seg2(3)
    imshow(squeeze(SEG2(:,:,n)),'InitialMagnification',300);
    colormap(gca);
   pause(0.1)
end


